#ifndef _DIRECT_H_
#define _DIRECT_H_

#include <stddef.h>

#ifdef __cplusplus
extern "C" {
#endif

int _mkdir(const char* path);
int _chdir(const char* path);
int _rmdir(const char* path);
char* _getcwd(char* buf, size_t size);

#ifndef _WIN32
#define _mkdir(path) mkdir(path, 0755)
#define _chdir(path) chdir(path)
#define _rmdir(path) rmdir(path)
#define _getcwd(buf,size) getcwd(buf,size)
#endif

#ifdef __cplusplus
}
#endif

#endif /* _DIRECT_H_ */